* {
  padding: 0;
  box-sizing: border-box;
  font-family: "Outfit", sans-serif;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Poppins", sans-serif !important;
}

/* color style */
:root {
  scroll-behavior: smooth;
  --primary-color: #001e6b;
  --blue-color: #0048ff;
  --text-colorv1: #2f2f2f;
  --theme-color: #b53db5;
}

/* color style end */

/* font css */
/*Default (Mobile first) */
.f-46 {
  font-size: 30px !important;
}

.f-40 {
  font-size: 25px !important;
}

.f-36 {
  font-size: 24px !important;
}

.f-30 {
  font-size: 22px !important;
}

.f-20 {
  font-size: 18px !important;
}

.f-18 {
  font-size: 16px !important;
}

.f-16 {
  font-size: 15px !important;
}

.f-14 {
  font-size: 13px !important;
}

.f-12 {
  font-size: 12px !important;
}

.f-24 {
  font-size: 20px !important;
}

/*Tablet (768px and up) */
@media (min-width: 768px) {
  .f-46 {
    font-size: 38px !important;
  }

  .f-40 {
    font-size: 35px !important;
  }

  .f-36 {
    font-size: 30px !important;
  }

  .f-30 {
    font-size: 26px !important;
  }

  .f-20 {
    font-size: 20px !important;
  }

  .f-18 {
    font-size: 17px !important;
  }

  .f-16 {
    font-size: 16px !important;
  }

  .f-14 {
    font-size: 14px !important;
  }

  .f-12 {
    font-size: 12px !important;
  }

  .f-24 {
    font-size: 22px !important;
  }

  .f-16-13 {
    font-size: 13px !important;
  }

  .f-14-13 {
    font-size: 13px !important;
  }
}

/*Desktop (1024px and up) */
@media (min-width: 1024px) {
  .f-46 {
    font-size: 44px !important;
  }

  .f-40 {
    font-size: 38px !important;
  }

  .f-36 {
    font-size: 34px !important;
  }

  .f-30 {
    font-size: 29px !important;
  }

  .f-20 {
    font-size: 20px !important;
  }

  .f-18 {
    font-size: 17px !important;
  }

  .f-16 {
    font-size: 16px !important;
  }

  .f-14 {
    font-size: 14px !important;
  }

  .f-12 {
    font-size: 12px !important;
  }

  .f-24 {
    font-size: 22px !important;
  }

  .f-16-13 {
    font-size: 16px !important;
  }

  .f-14-13 {
    font-size: 14px !important;
  }
}

@media (min-width: 1366px) {
  .f-46 {
    font-size: 46px !important;
  }

  .f-40 {
    font-size: 40px !important;
  }

  .f-36 {
    font-size: 36px !important;
  }

  .f-30 {
    font-size: 30px !important;
  }

  .f-20 {
    font-size: 20px !important;
  }

  .f-18 {
    font-size: 18px !important;
  }

  .f-16 {
    font-size: 16px !important;
  }

  .f-14 {
    font-size: 14px !important;
  }

  .f-12 {
    font-size: 12px !important;
  }

  .f-24 {
    font-size: 24px !important;
  }

  .f-16-13 {
    font-size: 16px !important;
  }

  .f-14-13 {
    font-size: 14px !important;
  }
}

@media (min-width: 1442px) {
  .f-46 {
    font-size: 48px !important;
  }

  .f-40 {
    font-size: 42px !important;
  }

  .f-36 {
    font-size: 38px !important;
  }

  .f-30 {
    font-size: 32px !important;
  }

  .f-20 {
    font-size: 22px !important;
  }

  .f-18 {
    font-size: 19px !important;
  }

  .f-16 {
    font-size: 16px !important;
  }

  .f-14 {
    font-size: 16px !important;
  }

  .f-12 {
    font-size: 14px !important;
  }

  .f-24 {
    font-size: 26px !important;
  }

  .f-16-13 {
    font-size: 16px !important;
  }

  .f-14-13 {
    font-size: 14px !important;
  }
}

.f-15 {
  font-size: 15px !important;
}

/* font-weight */

.f-w-100 {
  font-weight: 100 !important;
}

.f-w-200 {
  font-weight: 200 !important;
}

.f-w-300 {
  font-weight: 300 !important;
}

.f-w-400 {
  font-weight: 400 !important;
}

.f-w-500 {
  font-weight: 500 !important;
}

.f-w-600 {
  font-weight: 600 !important;
}

.f-w-700 {
  font-weight: 700 !important;
}

.f-w-800 {
  font-weight: 800 !important;
}

.f-w-900 {
  font-weight: 900 !important;
}

/* end */

/* #common css start*/
a {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
}

.fontPoppins {
  font-family: "Poppins", sans-serif !important;
}

.fontOutfit {
  font-family: "Outfit", sans-serif !important;
}

.fontOpenSans {
  font-family: "Open Sans", sans-serif !important;
}

.sectionSpacing {
  padding-top: 40px;
  padding-bottom: 40px;
}

.index-9 {
  z-index: 9;
}

img {
  width: 100%;
}

.client-goals {
  width: fit-content;
}

.img-fluid {
  max-width: 100%;
  height: 100%;
}

.divider {
  width: 100%;
  height: 1px;
  background: #b6b5b5;
  margin: 15px 0;
}

.opacity-09 {
  opacity: 0.9;
}

.section_headingv1 {
  color: var(--primary-color);
}

.text-primary-gray {
  color: #474747 !important;
}

.light-gray {
  color: #637695;
}

.color-blue {
  color: var(--primary-color);
}

.color-lightblue {
  color: var(--blue-color);
}

.color-yellow {
  color: #FFA500 !important;
}

.black-carbon {
  color: #212121;
}

.black-111 {
  color: #111111;
}

.secondary-blk {
  color: var(--text-colorv1);
}

.bg-blue {
  background-color: var(--primary-color);
}

.soft-gradient-pink-lightblue {
  background: linear-gradient(90deg, #F0F5FF 0%, #FFF0FF 100%);
}

.btn-gradient-pink-blue {
  background: linear-gradient(90deg, rgba(0, 72, 255, 0.99) 0%, rgba(163, 13, 163, 0.98) 100%);
}

.btn-gradient-pink-blue:hover {
  box-shadow: 0 0 10px 0px #6658d7;
}

.gradient-text {
  background: linear-gradient(270deg, rgba(163, 13, 163, 1) 44%, rgba(58, 51, 222, 1) 50%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.Expertice-bg {
  background: linear-gradient(90deg, rgba(197, 214, 255, 1) 0%, rgba(221, 200, 255, 1) 84%);
}

.sky-bg {
  background-color: #E2EDFF;
}

.sky-light {
  background-color: #F0F5FF;
}

.sky-gradient-bg {
  background: linear-gradient(90deg, #E2EDFF 0%, #FFFFFF 84%);
}

.sky-border-gradient {
  border: 1px solid;
  border-image: linear-gradient(90deg, #C3D7FF 0%, #FFFFFF 84%) 1;
}

.border-pink-lightblue {
  border: 1px solid #C3D7FF;
}

.border-violet-light {
  border: 1px solid #B2C8FF;
}

.text-hover:hover {
  background: linear-gradient(270deg, rgba(163, 13, 163, 1) 44%, rgba(58, 51, 222, 1) 50%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  transition: ease-in-out 0.5s;
}

.text-decoration-none {
  text-decoration: none !important;
}

.row-gap {
  row-gap: 25px;
}

.row-gap-20 {
  row-gap: 20px;
}

.text-justify {
  text-align: justify;
}

.justify-self-center {
  justify-self: center;
}

.align-items-center {
  align-items: center;
}

.object-fit-cover {
  object-fit: cover;
}

.mx-content {
  width: max-content;
}

.violetMix-gradient {
  background: linear-gradient(90deg, rgba(163, 13, 163, 1) 8%, rgba(80, 43, 210, 1) 38%);
}

.pinkMix-gradient {
  background: linear-gradient(90deg, rgba(194, 211, 255, 1) 0%, rgba(255, 181, 255, 1) 100%);
}

.btn-violet-them {
  color: #fff;
  background: linear-gradient(270deg, rgba(163, 13, 163, 1) 0%, rgba(80, 43, 210, 1) 86%) !important;
}

.btn-violet-them:hover {
  box-shadow: 0px 0px 10px 2px rgb(155 152 152) !important;
}

.btn-gradient-green-them {
  color: var(--primary-color);
  background: linear-gradient(90deg, rgba(115, 211, 255, 1) 0%, rgba(0, 191, 150, 1) 86%);
}

.btn-gradient-green-them:hover {
  color: #fff;
}

.border-blue-btm {
  border-bottom: rgba(84, 132, 255, 1) solid 1px
}

.border-violet-btm {
  border-bottom: rgba(193, 93, 193, 1) solid 1px
}

.border-gradient {
  border: 1px solid;
  border-image: linear-gradient(180deg, #a30da3, #0048ff) 1;
}

.border-gradient-violet {
  border: 1px solid;
  border-image: linear-gradient(180deg, #0048FF, #A30DA3) 1;
}

.btn-gradient-sky-them {
  color: var(--primary-color);
  background: linear-gradient(90deg, rgba(212, 234, 255, 1) 0%, rgba(239, 229, 255, 1) 86%);
}

.btn-gradient-sky-them:hover {
  color: #be1f0a;
}

.btn-hover:hover {
  box-shadow: 0 0 0.28rem 0rem #fff;
}

.btn-hover-gray:hover {
  box-shadow: 0rem 0rem 0.28rem 0rem #000000a6 !important;
}

.btn-nevi-blue {
  background-color: transparent;
  color: #001E6B;
  border: 1px solid #001E6B;
}

.btn-nevi-blue:hover {
  background-color: #001E6B;
  color: #fff;
  transition: all ease-in-out 0.3s;
}

.btn-primary-z-blue {
  background-color: #0048FF !important;
}

.mb-space {
  margin-bottom: 106px;
}

.truncate-2line {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
  overflow: clip;
}

.lh-12 {
  line-height: 1.2 !important;
}

.webkit-center {
  text-align: -webkit-center;
}

.h-full {
  height: -webkit-fill-available !important;
}

.cursor-pointer {
  cursor: pointer;
}

.z-1{
  z-index: 1;
}
/* #common css end*/


/* Hide class */
.hide {
  top: -100px !important;
}

/* navbar end */

/* banner for all */
section.technology-listing .container {
  align-content: center !important;
  height: auto !important;
}

/* for all portfolio */
.single-avada_portfolio .portfolio-detail img {
  width: auto;
}

/* Technical slider */
.TechnicalExpertSwiper .logo {
  width: auto;
  height: 35px;
}

/* --------rating-slider----------- */
.rating_sld_section {
  background: linear-gradient(90deg, #a30da3 15%, #0048ff 85%);
}

.rating_sld_section .logo {
  width: 50px !important;
  height: 50px !important;
}

.rating_sld_section span img {
  width: 9px;
}

.rating_sld_section p {
  color: var(--primary-color);
  font-weight: 500;
}

@keyframes cloudMotion {
  0% {
    transform: translateY(0px) translateX(0px) scale(1);
    opacity: 1;
  }

  50% {
    transform: translateY(-10px) translateX(8px) scale(1.02);
    opacity: 0.98;
  }

  100% {
    transform: translateY(0px) translateX(0px) scale(1);
    opacity: 1;
  }
}

/* end */
/* E-commerce */
.logo-flex-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
}

.new-col {
  flex: 1 1 200px;
  max-width: 200px;
  min-width: 120px;
  background: #fff;
  transition: transform 0.3s ease;
}

.new-col:hover {
  transform: scale(1.05);
}

.new-col img {
  max-width: 100%;
  /* max-height: 60px; */
  object-fit: cover;
}

/* end */

/* all banner */
/* landing section service and all*/

.page-id-18 .cus-soft-developer {
  height: 550px;
}

.service-second,
.about-leadership {
  background: no-repeat center/100% 100%;
  height: 550px;
}

.bg-img-property {
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100% 100%;
}

.common-banner {
  height: 600px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.banner-health {
  height: 600px;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* end */

/* blog start */
button.blog-btn,
.button-contact .blog-btn {
  font-size: 12px;
  color: #fff;
  border: 0;
  padding: 5px 8px;
}

p.blog_para {
  font-size: 14px;
  color: #474747;
  overflow: hidden;
  transition: color 0.3s ease-in-out, white-space 0.3s ease-in-out;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
  font-family: "Open Sans";
}

.blog .card {
  transition: all 0.3s ease-in-out;
  border: 1px solid #e0e0e0;
  box-shadow: 0 4px 12px rgb(115 32 192 / 32%);
  /* border: 1px solid;
  border-image: linear-gradient(180deg, #a30da3, #0048ff) 1; */
  /* min-height: 450px; */
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

/*.blog .card img {
  height: 232px;
}*/

.new-event-img {
  height: 210px;
}

.blog .card .new-event-img img {
  height: 100% !important
}

.blog .our_expertise_heading {
  font-size: 18px;
  font-weight: 700;
  color: var(--primary-color);
  overflow: hidden;
  transition: color 0.3s ease-in-out, white-space 0.3s ease-in-out;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
}

/* blog end */
/* About */
.news-events .card {
  min-height: 435px !important;
}

.our-achievements .card img {
  width: 200px;
  /* height: 217px; */
}

/* contact */
.contact-bg {
  background-image: url("../images/contactbg.png");
  background-repeat: no-repeat;
  background-size: 95% 100%;
  background-position: center;
}

section#contact form p {
  margin: 0 !important;
}

section#contact form .mb-4,
section#contact form .mt-5 {
  margin-bottom: 15px !important;
  margin-top: 0 !important;
}

.section#contact form p br {
  display: none;
}

section#contact form .wpcf7-not-valid-tip {
  padding-top: 10px;
}

section#contact form .wpcf7-submit {
  margin-bottom: 10px;
  background-color: #0048FF !important;
  color: white;
  /* border-radius:6px !important; */
}

section#contact form .wpcf7-submit:hover {
  background-color: #3369f1 !important;
}

section#contact form .wpcf7-response-output {
  margin: 0px;
  color: red;
}

.wpcf7 form.failed .wpcf7-response-output {
  border-color: #777777;
}

/* end */

/* techno Our Core Custom */
.techno-core .core-cards-info {
  height: 25rem;
  padding: 20px !important;
  min-height: unset !important;
}

/* .techno-core .core-cards-info p {
  max-width: 215px;
  min-width:176px;
} */
/* Our Core Custom */
.our-core-expert .core-cards-info {
  min-height: 25rem;
  padding: 20px 23px;
  border: 1px solid #72727280;
}

.our-core-expert .core-cards-info p {
  display: -webkit-box;
  -webkit-line-clamp: 8;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.our-core-expert .core-cards-info:hover {
  box-shadow: 0 0 5px 0 #1111117c;
  transition: all ease-in-out 0.2s;
  border-top: 4px solid transparent;
  background-image: linear-gradient(white, white),
    linear-gradient(270deg, rgba(163, 13, 163, 1) 0%, rgba(80, 43, 210, 1) 86%);
  border-radius: 0px 0px 0px 0px !important;
  background-origin: border-box;
  background-clip: padding-box, border-box;
  border-left: 1px solid transparent;
  border-right: 1px solid transparent;
  border-bottom: 1px solid transparent;
  border-radius: 0rem 0rem 1rem 1rem !important;
}

.core-card-inner {
  display: flex;
  flex-direction: column;
  gap: 20px;
}


.page-id-260 .techno-core .core-cards-info {
  height: 20rem;
  justify-content: flex-start !important;
  gap: 12px;
}

/* end */

/* contact start */
#contact .bg-primary {
  background: #c4d5ff !important;
}

section#contact .input-txt,
section#contact .input-element input {
  background: transparent;
  border: 0;
  outline: none;
  border-bottom: 1px solid #336dff;
  border-radius: 0;
  color: var(--primary-color);
}

section#contact form .form-label {
  width: 100%;
}

section#contact button {
  background: var(--blue-color);
  font-size: 14px;
  color: #fff;
  padding: 9px 0;
}

.contact_heading {
  color: #a30da3;
  font-size: 18px;
  font-weight: 600;
}

section#contact .city {
  font-size: 16px;
  font-weight: 600;
  background: linear-gradient(90deg, #a30da3, #0048ff);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

section.addonftr .inner {
  border-top: 2px solid #c15dc1;
}

.addonftr .inner .ctm-bdr {
  border-right: 1px solid #c15dc1;
  border-left: 1px solid #c15dc1;
}

.addonftr .inner .ctm-bdr a {
  font-size: 14px;
  color: #111111;
}

footer h5 {
  font-size: 18px;
}

.footer {
  background: linear-gradient(90deg, #550555, #012274);
  color: white;
}

.footer a {
  color: white;
  text-decoration: none;
  font-family: "Poppins", sans-serif;
  padding: 6px 0px;
  display: block;
}

section.addonftr h4 {
  font-size: 18px;
  color: var(--blue-color);
  font-weight: 600;
}

section.addonftr h4:hover {
  color: #A30DA3;
}

section.addonftr h4::after {
  content: '\f061';
  font-family: "Font Awesome 5 Free";
  font-weight: 700;
  display: inline-block;
  margin-left: 8px;
  vertical-align: middle;
}

.Testimonials_sld .name {
  color: var(--blue-color);
  font-weight: 600;
}

/* end */

/* Our Growth Statistics start */
.growth-statistics img {
  width: 50px;
  object-fit: contain;
}

.growth-statistics h4 {
  font-size: 40px;
  font-weight: 600;
  color: var(--blue-color);
}

.growth-statistics p {
  font-size: 18px;
  color: var(--text-colorv1);
}

.growth-statistics .card {
  border-top: 3px solid var(--theme-color) !important;
}

/* Our Growth Statistics end */
/* FAQ */
.FAQ-dropdown .bg-primary {
  background-color: #0048FF !important;
}

.FAQ-dropdown .accordion-button::after {
  filter: brightness(100);
}

.FAQ-dropdown .accordion-button:not(.collapsed)::after {
  filter: brightness(100);
}

/* end */

/* Why Choose SynergyTop form */
.form-input-wrapper form .input-element input,
.form-input-wrapper form .input-element textarea {
  border-bottom: solid #336DFF 1px !important;
}

/* end */

/*  More topics  */
.hover-blue:hover,
.hover-blue:focus {
  background-color: #0048FF !important;
  color: #FFFFFF !important
}

/* glass slider */
.our-recent-wrk .swiper-slide a img {
  border: 4px solid #999999;
  border-radius: 25px;
}

.our-recent-wrk .swiper-button-prev:after,
.our-recent-wrk .swiper-rtl .swiper-button-next:after,
.our-recent-wrk .swiper-button-next:after,
.our-recent-wrk .swiper-rtl .swiper-button-prev:after {
  color: #505050 !important;
  font-size: 20px !important;
}

/* Services-listing cards */
.service-expertise .service-list-card {
  min-height: 370px;
}

.service-expertise .service-list-card a {
  font-size: 15px;
  text-align: left;
}

.service-expertise .service-list-card .card-footer {
  min-height: 80px;
  background: linear-gradient(90deg, #BFD1FF 0%, #FFCCFF 86%);
  text-align: left;
  align-content: baseline;
}

.service-expertise .service-list-card .custom-hover-overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: linear-gradient(90deg, #bfd1ffda 0%, #ffccffd5 86%);
  opacity: 0;
  transition: opacity 0.3s;
  z-index: 2;
}

.service-expertise .service-list-card:hover .custom-hover-overlay {
  opacity: 1;
}

.service-expertise .service-list-card:hover .card-footer {
  opacity: 0;
  transition: opacity 0.3s;
}

.service-expertise .service-list-card:hover .custom-hover-overlay p {
  color: var(--primary-color);
  display: -webkit-box;
  -webkit-line-clamp: 10;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

/* techno-our Expertise */
.techno-ourExpert .container .card {
  width: 200px;
  height: 130px;
  border: 1px solid #E6E6E6;
  justify-content: center;
  box-shadow: 0px 0px 8px 0px #0000001a;
}

/* techno details */
section.technology-listing {
  height: 460px !important;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.heading {
  position: relative;
  display: inline-block;
}

.heading::after {
  content: "";
  display: block;
  height: 3px;
  margin-top: 8px;
  background: linear-gradient(to right,
      #2196f3 15%,
      /* Blue */
      #26c6da 30%,
      /* Teal */
      #ffb300 50%,
      /* Amber */
      #e53935 70%,
      /* Red */
      #1a237e 100%
      /* Dark Navy */
    );
  border-radius: 2px;
}

.why-choose-python .php-card-wrapper .card {
  width: 266px !important;
}

.why-choose-nodejs .php-card-wrapper .card {
  width: 266px !important;
}

.why-choose-React .php-card-wrapper .card {
  width: 360px !important;
}

.why-choose-Ruby .php-card-wrapper .card {
  width: 100% !important;
}

.why-choose-php .php-card-wrapper .card {
  background-color: #F0F5FF;
  border: 1px solid #C3D7FF;
  border-radius: 0 30px 0 30px;
  height: -webkit-fill-available;
  width: 209px;
}

.why-choose-php .php-card-wrapper .card p {
  display: -webkit-box;
  -webkit-line-clamp: 10;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.why-choose-php .php-card-wrapper .card:hover {
  box-shadow: 0px 0px 5px 0px #0000001a;
  transition: all ease-in-out 0.2s;
}

.php-frameworks .custom-card {
  border-radius: 8px;
  height: 100%;
  border: 1px solid #ffb3ffe8;
  background: linear-gradient(90deg, rgb(195 215 255 / 16%) 0%, rgb(255 179 255 / 21%) 100%);
}

.php-frameworks .custom-card:hover {
  box-shadow: 0px 0px 5px 0px #0000001a;
  transition: all ease-in-out 0.2s;
}

.benefits-solar .card p {
  display: -webkit-box;
  -webkit-line-clamp: 8;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

/* renewable energy & techno style */
.benefits-solar .card {
  border: 1px solid #001e6b;
  /* min-height: 310px; */
  height: -webkit-fill-available;
  background-color: #F9F9F9;
  display: grid;
  text-align: center;
  justify-items: center;
  grid-template-rows: 70px;
  align-items: center;
}

.benefits-solar .card .solar-img {
  width: 130px;
  border: 7px solid #ffffff;
  background-color: #F9F9F9;
  padding: 28px;
  transform: translate(0px, -60px);
  align-self: center;
}

.php-deve-services .benefits-solar .card {
  height: -webkit-fill-available;
}

.benefits-solar .container .row,
.benefits-solar .row {
  row-gap: 90px;
  padding-top: 45px;
  justify-content: center;
}

/* wordpress-dev service */
.word-dev-card {
  min-height: -webkit-fill-available;
}

/* client_testimonials */

.client-logos table tbody tr:nth-child(3) td:nth-child(2) img,
.client-logos table tbody tr:nth-child(3) td:nth-child(3) img {
  width: 67px;
}

/* our team gallery */
.gallery {
  column-count: 3;
  /* 4 columns on large screens */
  column-gap: 15px;
}

.gallery .image {
  margin-bottom: 15px;
  break-inside: avoid;
  /* prevents image breaking */
  overflow: hidden;
  border-radius: 8px;
}

.gallery .image img {
  width: 100%;
  display: block;
  border-radius: 8px;
  object-fit: cover;
  transition: transform 0.3s ease;
}

.gallery .image:hover img {
  transform: scale(1.05);
}

/* Responsive Breakpoints */
@media (max-width: 1200px) {
  .gallery {
    column-count: 3;
  }
}

@media (max-width: 768px) {
  .gallery {
    column-count: 2;
  }
}

@media (max-width: 480px) {
  .gallery {
    column-count: 1;
  }
}

/* end */

/* our Expertise start */
.our_expertise_heading {
  color: var(--primary-color);
  transition: color 0.3s ease-in-out;
}

.crafting_innovative .card {
  /* height: 298px; */
  transition: all 0.2s ease-in-out;
  border: 1px solid #e0e0e0;
  box-shadow: 0 4px 12px rgb(115 32 192 / 32%);
  transition: all 0.3s ease;
  padding: 0px !important;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.crafting_innovative .card img.top-image {
  width: 35px;
  height: 35px;
  transition: filter 0.3s ease-in-out;
}

.ourExpertiseImg-craft {
  /* left: 0;
  bottom: 0;
  padding: 0 0px;
  z-index: 0;
  position: absolute; */
  transition: opacity 0.3s ease-in-out;
}

.our_expertise_para {
  font-size: 15px !important;
  color: #637695;
  overflow: hidden;
  transition: color 0.3s ease-in-out, white-space 0.3s ease-in-out;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
}

#icon-chat {
  font-size: 30px;
  margin-left: auto;
}

.ourExpertise-button {
  width: 42px;
  height: 42px;
  border: none;
  background-color: #ffffffcc;
  transition: all 300ms;
  cursor: pointer;
  padding: 10px;
  color: white;
  display: flex;
  align-items: center;
  justify-content: space-between;
  overflow: hidden;
}

.ourExpertise-button .long-text {
  transition: opacity 1000ms;
  opacity: 0;
  white-space: nowrap;
  font-size: 0;
  width: 0;
  margin: 0;
  background: linear-gradient(90deg, #a30da3 0%, #0048ff 100%);
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent;
  display: inline-block;
}

.ourExpertise-button .long-text.show-long-text {
  transition: opacity 700ms, width 1ms linear 270ms, font-size 1ms linear 270ms;
  opacity: 1;
  font-size: 14px;
  font-weight: 500;
  width: auto;
}

/* card innovation */
.crafting_innovative .card:hover .ourExpertise-button {
  transition: all 400ms cubic-bezier(0.62, 0.1, 0.5, 1);
  width: 180px;
  background-color: #fff;
}

.crafting_innovative .card:hover .ourExpertise-button::after {
  content: "";
  background: #f0f0f0;
  width: 42px;
  z-index: -1;
  height: 42px;
  position: absolute;
  right: 0;
}

/* Hover Effects */
.crafting_innovative .card:hover {
  background-image: url("../images/ourExpertiseCard01.png");
  /* Use the same image as bottom */
  background-size: cover;
  height: 100%;
}

.crafting_innovative .card:hover::after {
  background-color: #0b3b6fe5;
}

.crafting_innovative .card::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 255, 0);
  transition: background 0.2s ease-in-out;
}

.crafting_innovative .card:hover img.top-image {
  filter: brightness(0) invert(1);
  /* Change to white */
}

.crafting_innovative .card .card-inner-detail {
  padding: 15px 15px 0px 15px !important;
}

.crafting_innovative .card:hover h3,
.crafting_innovative .card:hover p {
  color: white !important;
  position: relative;
}

.crafting_innovative .card:hover .card-inner-detail h3,
.crafting_innovative .card:hover .card-inner-detail p,
.crafting_innovative .card:hover .card-inner-detail .our_expertise_heading,
.crafting_innovative .card:hover .card-inner-detail .our_expertise_para {
  color: white !important;
  display: block !important;
  position: relative;
}

.crafting_innovative .card:hover .ourExpertiseImg-craft {
  opacity: 0;
  display: none;
}

.crafting_innovative .btn {
  z-index: 11;
  position: absolute;
  bottom: 8px;
  left: 16px;
  font-size: 14px;
  font-weight: 500;
}

.crafting_innovative .btn img {
  width: 16px;
}

/* new step for card */
/* .page-id-9 .crafting_innovative .card {
    height: 294px !important;
} */

.page-id-9 .crafting_innovative .card .our_expertise_para {
  display: none;
}

.page-id-9 .crafting_innovative .card:hover .our_expertise_para {
  display: block;
}

.page-id-9 .crafting_innovative .card:hover .our_expertise_heading,
.page-id-9 .crafting_innovative .card:hover .top-image {
  display: none !important;
}

/* testimonials */

#client .Testimonials_sld .ourworks-btns .swiper-button-next,
#client .Testimonials_sld .ourworks-btns .swiper-button-prev {
  position: absolute;
  top: 85%;
  width: 35px;
  height: 35px;
  border: #ccc 1px solid;
  border-radius: 50%;
  display: flex;
  background: rgb(99, 4, 99);
  background: linear-gradient(90deg,
      rgba(99, 4, 99, 1) 0%,
      rgba(0, 28, 100, 1) 100%);
  justify-content: center;
  align-items: center;
}

#client .Testimonials_sld .ourworks-btns .swiper-button-prev::after {
  content: url(../images/icon/left-blue.svg);
  width: 20px;
  height: 20px;
}

#client .Testimonials_sld .ourworks-btns .swiper-button-next::after {
  content: url(../images/icon/right-blue.svg);
  width: 20px;
  height: 20px;
}

/* our Expertise end */

/* Services sub page & Crafting_Innovative model css */
.crafting_innovative .card .our_expertise_heading {
  overflow: hidden;
  transition: color 0.3s ease-in-out, white-space 0.3s ease-in-out;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
  line-height: 1.15;
}

/* service banner page and all */
.cus-soft-developer {
  background: url("../images/cus-soft-dev/service-banner-1.png") no-repeat center/100% 100%;
  height: 360px;
}

/* Innovation-card */
.Innovation-card .card {
  position: relative;
  height: 100%;
  transition: all 0.2s ease-in-out;
  border: 1px solid;
  border-image: linear-gradient(180deg, #a30da3, #0048ff) 1;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

.Innovation-card .card:hover {
  background-image: url("../images/ourExpertiseCard01.png");
  background-size: cover;
  cursor: context-menu;
  transition: 0.3s ease-in-out;
}

.Innovation-card .card::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 255, 0);
  transition: background 0.3s ease-in-out;
  pointer-events: none;
  z-index: 1;
}

.Innovation-card .card:hover::after {
  background-color: #0b3b6fe5;
}

.Innovation-card .card:hover h3,
.Innovation-card .card:hover p {
  color: #fff;
  display: block !important;
}

/* for all services cards */

.inner-core-cover {
  width: 100%;
}

.page-id-40563 .crafting_innovative .card,
.page-id-40570 .crafting_innovative .card,
.page-id-41913 .crafting_innovative .card,
.page-id-40430 .our-core-expert .core-cards-info {
  height: 100%;
}

/* .page-id-40563 .crafting_innovative .card .our_expertise_heading,  */

.page-id-40570 .crafting_innovative .card .our_expertise_heading,
.page-id-40570 .crafting_innovative .card .our_expertise_para {
  display: block !important;
}

.our-recent-wrk h2.mb-4 {
  margin-bottom: 15px !important;
}

.portfolio-card .portfolio-img {
  height: 200px;
}

.card-4 .card {
  min-height: 315px !important;
}


.card-3 .card {
  min-height: 375px !important;
}

.craft-shadow .card {
  border: 1px solid #e0e0e0;
  box-shadow: 0 4px 12px rgb(115 32 192 / 32%);
  height: 100%;
  display: flex;
  justify-content: flex-start;
}

/* client testimonials pg */
.page-id-41985 .client-test .other-client-pg p,
.page-id-41985 .client-test .other-client-pg h2 {
  color: #fff !important
}

.page-id-41985 .client-test .card .img-wrraper {
  width: 102px;
}

/* portfolio */
.portfolio-blog .more-btn-wrapper a.active {
  outline: 1px solid #0d6efd;
}

/* Sub Service page */

.solve-challenge {
  padding: 25px 35px !important;
}

.solve-challenge .nav {
  /* background: #e4eeff; */
  padding: 20px 10px;
  /* border-radius: 8px; */
  border: 1px solid #c3d7ff00;
}

.solve-challenge button {
  color: #4E4E4E;
  text-align: left;
}

.solve-challenge .tab-content {
  padding: 25px 35px !important;
}

.solve-challenge button.active {
  color: #000 !important;
  background: #f0f5ff00 !important;
  border-image: linear-gradient(90deg, #a30da3, #0048ff) 1 !important;
  border-bottom: solid 2px;
  border-radius: 0px;
  font-weight: 500;
}

/* site map */
.page-id-42093 #sitemap-design .list-group-item+.list-group-item,
.page-id-42093 #sitemap-design .list-group-item:first-child,
.page-id-42093 #sitemap-design .list-group-item:first-child {
  border: none;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  padding-left: 0;
}

/* explore */
.explore-img {
  background-position: center;
  background-repeat: no-repeat;
  background-size: 100% 100%;
}

.explore-now .explore-img p {
  color: white;
}

/* tabbing module css */
.custom-tabbing-dev .nav-link {
  color: #4E4E4E;
  padding: 18px 18px 18px 51px;
}

.custom-tabbing-dev .nav-link.active {
  color: #000 !important;
  background-color: #ffffff07;
  box-shadow: 0px 0px 5px 0px #0000004a;
  transition: all ease-in-out;
  border-bottom: 2px solid;
  border-image: linear-gradient(90deg, #a30da3, #0048ff) 1;
  /* padding: 16px; */
  position: relative;
  z-index: 1;
}

.custom-tabbing-dev .tab-content>.tab-pane {
  opacity: 0;
  transform: translateY(10px);
  transition: opacity 0.4s ease, transform 0.4s ease;
}

.custom-tabbing-dev .tab-content {
  overflow-y: auto;
  scroll-behavior: smooth;
  height: 100%;
  min-height: 640px;
}

.custom-tabbing-dev .tab-content>.active {
  opacity: 1;
  transform: translateY(0);
  transition: ease-in-out 0.5s ease;
}

.custom-tabbing-dev .content-box {
  padding: 20px;
  background-color: #F0F5FF;
  border: 1px solid #D7E4FF;
  box-shadow: 3px 0px 5px -1px rgb(0 0 0 / 19%);
}

/* Scrollbar styling */
.custom-tabbing-dev .tab-content::-webkit-scrollbar {
  width: 4px;
}

.custom-tabbing-dev .tab-content::-webkit-scrollbar-thumb {
  background: linear-gradient(270deg, #a30da3, #0048ff);
  border-radius: 6px;
}

.custom-tabbing-dev .tab-content::-webkit-scrollbar-track {
  background: #e6eaff;
  border-radius: 6px;
}

.add-scroll {
  overflow-y: auto;
  scroll-behavior: smooth;
  height: 100%;
  min-height: 500px;
}

section.technology-listing .container .row h2 {
  margin-bottom: 0px !important;
}

/* cards wordpress-maintenance */
.pricing-card {
  background: #fff;
  min-height: 100%;
  transition: all 0.3s ease;
}

.pricing-card:hover {
  transform: translateY(-2px);
  box-shadow: 0 6px 16px rgba(0, 0, 0, 0.12);
}

.plan-title {
  text-align: center;
}

.pricing-card ul li {
  padding: 6px 0;
  text-align: left;
}

.quote-btn {
  display: block;
  width: fit-content;
  margin: 25px auto 30px;
  background-color: #ffff;
  border: 1px solid #001E6B;
  color: #001E6B;
  padding: 10px 25px;
  transition: background-color 0.3s ease;
}

.quote-btn:hover {
  background-color: #001E6B;
  color: #fff;
}


.staffing-needs .row .card {
  border: 2px solid #E5E5E5;
  box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.15);
}

.our-staffing-process .row .card {
  background-position: top;
  background-repeat: no-repeat;
  background-size: cover;
}

.our-staffing-process .row .card ul li {
  opacity: 0.7;
}

/* end */

/* home page scroll section page */

.body-second .btn-primary-z-blue {
    color: #fff;
}

.body-second .btn-primary-z-blue:hover{
  background-color: #001e6b !important;
}

.body-second {
  margin: 0;
  display: flex;
  height: 100%;
  background-color: #fff;
}

.left {
    border-right: 4px solid transparent;
    border-image: linear-gradient(to bottom, #5C3AFF, #f78989);
    border-image-slice: 1;
}

.self-section {
    margin-bottom: 9px;
    padding: 50px 15px;
    height:363px;
    /* border-right: 4px solid transparent;
    border-image: linear-gradient(to bottom, #5C3AFF, #f78989);
    border-image-slice: 1; */
}

/* Centering Image + Fixing Position */
.image-holder {
  width: 658px;
  height: 363px;
  border-radius: 34px 0;
  overflow: hidden;
  transition: opacity 0.6s ease, transform 0.6s ease;
  display: flex;
  align-items: center;
  justify-content: center;
  /* margin-top: 19px; */
}

.image-holder img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 1;
  transform: scale(1);
  transition: opacity 0.5s ease, transform 0.5s ease;
}

.top-position{
  top:196px;
  position: sticky;
  height: fit-content;
}

/* end */
/* portfolio contect section */
.portfolio-detail .wpcf7-form-control-wrap:has(input.wpcf7-not-valid) + .required-star {
    left: 80px !important;
    top: 20% !important;
}

.portfolio-detail .wpcf7-form-control-wrap:has(textarea.wpcf7-not-valid) + .required-star {
    left: 81px !important;
}

.portfolio-detail .wpcf7 form.sent .wpcf7-response-output{
  color:#001e6b !important;
}

.portfolio-detail  .wpcf7 form .wpcf7-response-output{
    margin: 0em 0.5em 1em;
    color: #d50808;
}
/* end */

/* ST-BLOG Page */

.gray-light{
  color:#5D5D5D;
}

.bradcurmb-wrraper li.breadcrumb-item a{
  color: #676767;
}

.bradcurmb-wrraper li.breadcrumb-item.active a {
    color: #0048FF;
}

.breadcrumb-item+.breadcrumb-item::before {
    content: "\003E";
}

.topic-btn {
  border-radius: 10px;
  padding: 6px 16px;
  font-weight: 500;
}
.topic-btn.active {
  border: 2px solid #7c3aed;
  color: #7c3aed;
  background-color: #f5f3ff;
}

/* ----------------media css----------------- */
/* Responsive css */

@media (min-width: 1442px) {

  /* Our Exports cards */
  .expert-row-wrapper .new-col {
    width: 237px;
  }

  .techno-core .core-cards-info {
    height: 26rem;
  }

  /* end */
  /*  Our Core Custom */
  .our-core-expert .core-cards-info {
    min-height: 26rem;
  }

  .card-3 .card {
    min-height: 350px !important;
  }

  .page-id-9 .card-4 .card {
    min-height: 331px !important;
  }

  .card-4 .card {
    min-height: 340px !important;
  }

  .our_expertise_para {
    font-size: 16px !important;
  }

  .bannerContent {
    height: 73vh;
  }

  /* tabbing module */
  .custom-tabbing-dev .tab-content {
    min-height: 835px;
  }
}

@media (max-width:1440px) {
  .card-3 .card {
    /* min-height: 417px !important; */
    min-height: 330px !important;
  }

  .page-id-9 .card-4 .card {
    min-height: 331px !important;
  }

  .card-4 .card {
    min-height: 340px !important;
  }
}

@media (max-width:1366px) {
  .card-3 .card {
    /* min-height: 376px !important; */
    min-height: 350px !important;
  }

  .page-id-9 .card-4 .card {
    min-height: 310px !important;
  }

  .card-4 .card {
    min-height: 340px !important;
  }

  /* .inner-core-cover {
    width:258px;
  } */
}

@media (max-width:1024px) {
  .techno-core .core-cards-info {
    height: 25rem;
  }

  /* .techno-core .core-cards-info p {
  max-width: 215px;
  min-width:160px;
} */

  /* .inner-core-cover {
  width: 213px;
} */

  .card-3 .card {
    min-height: 331px !important;
  }

  .page-id-9 .card-4 .card {
    min-height: 331px !important;
  }

  .card-4 .card {
    min-height: 335px !important;
  }

}

@media (min-width: 1200px) {
  footer .borderL {
    border-left: 1px solid #ffffff3b;
  }

  footer .ctmBorder {
    border-left: 1px solid #ffffff3b;
    border-right: 1px solid #ffffff3b;
  }

  #healthCareSld .container-fluid {
    padding-left: 98px;
  }
}

@media (max-width: 992px) {
  .banner-health {
    height: 500px;
  }

  /* blog */
  .blog .card {
    min-height: 362px;
  }

  /* footer */
  .addonftr .inner .ctm-bdr {
    border-right: 0px solid #c15dc1;
    border-left: 0px solid #c15dc1;
  }

  .addonftr {
    margin: 0 39px;
  }

  /* end */

  /* e-commerce */
  .new-col {
    flex: 1 1 45%;
  }

  /* core expert */
  .our-core-expert .core-cards-info {
    min-height: 19.5rem;
  }

  /* Expertise */
  /* .techno-core .core-cards-info p {
      min-width: 277px;
  } */

  /* .inner-core-cover {
    width: 334px;
  } */

  .card-3 .card {
    min-height: 359px !important;
  }

  .page-id-9 .card-4 .card {
    min-height: 335px !important;
  }

  .page-id-9 .card-4 .card {
    min-height: 331px !important;
  }

  .card-4 .card {
    min-height: 335px !important;
  }

  /* cutting edge */
  .cutting-edge-st .position-absolute,
  .st-seamless .position-absolute {
    position: static !important;
  }

  .explore-img {
    background-size: auto 100%;
  }

  td.logo-grid{
    width: 232px;
  }

}

@media (max-width: 768px) {
  td.logo-grid{
    width: 160px;
  }

  .image-holder {
    height: 336px;
  }
}

@media (min-width: 768px) {
  #contact .ctm-bdr {
    border: 1px solid var(--blue-color);
  }

  .sectionSpacing {
    padding-top: 40px;
    padding-bottom: 40px;
  }
}

@media (max-width: 576px) {

  /* footer */
  .addonftr {
    margin: 0 10px;
  }

  .mb-space {
    margin-bottom: unset;
  }

  /* e-commerce */
  .new-col {
    flex: 1 1 45%;
  }

  /* our core expert */
  .our-core-expert .core-cards-info {
    min-height: 15rem;
  }

  /* .techno-core .core-cards-info p {
    min-width: 357px;
  } */

  .techno-core .core-cards-info {
    height: 21rem;
  }

  /* techno details */
  .why-choose-php .php-card-wrapper .card,
  .why-choose-python .php-card-wrapper .card,
  .why-choose-React .php-card-wrapper .card {
    width: 100% !important;
  }

  .php-dev-process img,
  .python-feature img:not(.why-choose-php img) {
    width: 100% !important;
  }

  .more-customer .border-gradient-violet {
    border: 0;
  }

  .crafting_innovative .card {
    min-height: 330px !important;
  }

  .sidebar {
    z-index: 99;
  }

  .sectionSpacing {
    padding-top: 25px;
    padding-bottom: 25px;
  }

  .cus-soft-developer {
    background-size: cover;
    display: flex;
    align-items: center;
    height: 450px;
  }

  /* .cus-soft-developer .container.h-100{
    height:auto !important;
     margin-top: 50px;
  } */

  .cus-soft-developer .container .col-12.text-center.px-5 {
    padding: 0 !important;
  }

  .inner-core-cover {
    width: 100%;
  }

  .page-id-9 .card-4 .card {
    min-height: 321px !important;
  }

  /* home */
  .growth-statistics h4 {
    font-size: 32px;
  }

  .RatingSwiper .card {
    width: 100%;
  }

  .our-core-expert .core-cards-info:hover {
    box-shadow: none;
    transition: all ease-in-out 0.2s;
    border-top: 4px solid transparent;
    background-image: linear-gradient(white, white),
      linear-gradient(270deg, rgba(163, 13, 163, 1) 0%, rgba(80, 43, 210, 1) 86%);
    background-origin: border-box;
    background-clip: padding-box, border-box;
    border-left: 1px solid rgba(163, 13, 163, 1);
    border-right: 1px solid rgba(163, 13, 163, 1);
    border-bottom: 1px solid rgba(163, 13, 163, 1);
    border-radius: 1rem !important;
  }

  .mx-content {
    width: 100%;
  }

  .techno-ourExpert .container .card {
    width: 175px;
  }

  .service-second,
  .about-leadership {
    align-items: center;
    display: flex;
    height: 550px;
  }

  /* .service-second, .about-leadership .container.h-100 {
  height: auto !important;
  margin-top: 50px;
} */

  /*industry-exp*/
  .page-id-260 .techno-core .core-cards-info {
    height: 16rem;
  }

  /* artificial intelligence tabbing section */
  .solve-challenge button {
    text-align: left !important;
  }

  .solve-challenge {
    width: 100%;
    margin: 0 !important;
    flex-direction: column;
    padding: 0px !important;
  }

  .solve-challenge .tab-content,
  .solve-challenge .nav {
    width: 100%;
  }

  .solve-challenge .tab-content {
    padding: 18px 24px !important;
  }

  .plan-title {
    text-align: left;
  }

  .menu-items-widht {
    width: auto;
  }

  .custom-tabbing-dev .content-box {
    padding: 20px 15px !important;
  }

  .custom-tabbing-dev .nav-link {
    padding: 8px 15px 8px 15px;
  }

  .page-id-41913 .crafting_innovative .card {
    min-height: max-content !important;
  }

  .img-resize img {
    width: 100% !important;
  }

  .our-certifications img {
    width: 100% !important;
  }

  .our-certifications img {
    height: 114.5px !important;
  }

  .left {
    height: 307px;
    overflow-y: scroll;
  }

   .left::-webkit-scrollbar{
    display: none;
   }
   
}

@media (max-width: 390px) {
  .techno-ourExpert .container .card {
    width: 162px;
  }
}